Tentando instalar o MuseScore (qualquer versão) no SlackWare Current

1. Tentando instalar o MuseScore (qualquer versão) no SlackWare Current

lindberg
lindbergluiz

(usa Slackware)

Enviado em 27/08/2019 - 16:16h

venho tentando instalar o musescore (versões 2.1, 2.3, 3.0) mas não tenho sucesso. Sempre aparece esta mensagem de erro:

htTime_56'
/usr/bin/ld: /usr/lib64/libQt5Core.so.5.7.1: undefined reference to `ucal_close_56'
/usr/bin/ld: /usr/lib64/libQt5Core.so.5.7.1: undefined reference to `ucnv_getAvailableName_56'
/usr/bin/ld: /usr/lib64/libQt5Core.so.5.7.1: undefined reference to `ucnv_getDefaultName_56'
/usr/bin/ld: /usr/lib64/libQt5Core.so.5.7.1: undefined reference to `ucal_getDefaultTimeZone_56'
/usr/bin/ld: /usr/lib64/libQt5Core.so.5.7.1: undefined reference to `ucnv_toUnicode_56'
/usr/bin/ld: /usr/lib64/libQt5Core.so.5.7.1: undefined reference to `ucol_strcoll_56'
/usr/bin/ld: /usr/lib64/libQt5Core.so.5.7.1: undefined reference to `ucnv_close_56'
/usr/bin/ld: /usr/lib64/libQt5Core.so.5.7.1: undefined reference to `ucnv_getMaxCharSize_56'
/usr/bin/ld: /usr/lib64/libQt5Core.so.5.7.1: undefined reference to `ucnv_countAvailable_56'
collect2: error: ld returned 1 exit status
make[3]: *** [bww2mxml/CMakeFiles/bww2mxml.dir/build.make:187: bww2mxml/bww2mxml] Error 1
make[3]: Leaving directory '/tmp/SBo/MuseScore-3.2/build.release'
make[2]: *** [CMakeFiles/Makefile2:457: bww2mxml/CMakeFiles/bww2mxml.dir/all] Error 2
make[2]: Leaving directory '/tmp/SBo/MuseScore-3.2/build.release'
make[1]: *** [Makefile:152: all] Error 2
make[1]: Leaving directory '/tmp/SBo/MuseScore-3.2/build.release'
make: *** [Makefile:50: release] Error 2


É algum problema relacionado ao libQt5Core.so.5.7.1?


  


2. Re: Tentando instalar o MuseScore (qualquer versão) no SlackWare Current

lindberg
lindbergluiz

(usa Slackware)

Enviado em 27/08/2019 - 16:21h

só pra constar, já tentei:

1. slackbuilds, tentando instalar todas as dependências;
2. via alienbob, instalando todas as dependências de pacotes já compilados no próprio alien. Ao final da instalação, o Muse não inicia
3. via https://slackware.pkgs.org, mas também o Muse não inicia
4. até pensei em usar a dica que aprendi com o "EDPS"

https://www.vivaolinux.com.br/topico/LibreOffice/Erro-na-instalacao-do-Libreoffice-6203-no-SlackWare...

fazendo o mesmo com o pacote do MuseScore, mas dá o mesmo erro (pois ainda é empacotamento) e ainda falta fazer com um pacote .deb e .rpm, mas não encontrei ainda os pacotes




3. Re: Tentando instalar o MuseScore (qualquer versão) no SlackWare Current

edps
edps

(usa Slackware)

Enviado em 27/08/2019 - 16:31h

Está com todas as deps instaladas? é Slackware Current mesmo? as deps são essas pro -current ( 7 ao todo, fora o programa):

$ sudo sqg -p MuseScore
Processing MuseScore.
Done.

$ sudo sbopkg -i MuseScore
Both a queuefile and a package were found with the name "MuseScore".

Use (Q)ueuefile, (P)ackage, or (A)bort?: q

###########################################
New queue process started on:
ter ago 27 16:28:11 -03 2019
###########################################

+++++++++++++++++++++++++++++++++++++++++++
PRE-CHECK LOG
Using the UNSUPPORTED SBo git repository for -current
Queue Process: Download, build, and install

jdk:
GPG checks not supported for the SBo-git repository.
Processing jdk 8u221-1
Using original .info file
Using original SlackBuild file
No build options selected.

portmidi:
GPG checks not supported for the SBo-git repository.
Processing portmidi 217-5
Using original .info file
Using original SlackBuild file
No build options selected.

portaudio:
GPG checks not supported for the SBo-git repository.
Processing portaudio v190600_20161030-1
Using original .info file
Using original SlackBuild file
No build options selected.

jack2:
GPG checks not supported for the SBo-git repository.
Processing jack2 1.9.12-1
Using original .info file
Using original SlackBuild file
No build options selected.

libxkbcommon:
GPG checks not supported for the SBo-git repository.
Processing libxkbcommon 0.8.4-1
Using original .info file
Using original SlackBuild file
No build options selected.

qt5:
GPG checks not supported for the SBo-git repository.
Processing qt5 5.9.8-2
Using original .info file
Using original SlackBuild file
No build options selected.

qt5-webkit:
GPG checks not supported for the SBo-git repository.
Processing qt5-webkit 5.9.1-1
Using original .info file
Using original SlackBuild file
No build options selected.

MuseScore:
GPG checks not supported for the SBo-git repository.
Processing MuseScore 3.2-1
Using original .info file
Using original SlackBuild file
No build options selected.

+++++++++++++++++++++++++++++++++++++++++++

Pre-check complete.

Do you wish to proceed based on the search results above? Packages not
found will be skipped during the process.

(P)roceed or (Q)uit?:


EDIT:

Me parece que o Sr. está usando uma versão antyerior do QT, a 5.7.1, enquanto eu estou usando a corrente:

$ ls /usr/lib64/libQt5Core.
libQt5Core.la libQt5Core.so@ libQt5Core.so.5.9@
libQt5Core.prl libQt5Core.so.5@ libQt5Core.so.5.9.8*




4. Re: Tentando instalar o MuseScore (qualquer versão) no SlackWare Current

lindberg
lindbergluiz

(usa Slackware)

Enviado em 29/08/2019 - 00:59h

edps escreveu:

Está com todas as deps instaladas? é Slackware Current mesmo? as deps são essas pro -current ( 7 ao todo, fora o programa):

$ sudo sqg -p MuseScore
Processing MuseScore.
Done.

$ sudo sbopkg -i MuseScore
Both a queuefile and a package were found with the name "MuseScore".

Use (Q)ueuefile, (P)ackage, or (A)bort?: q

###########################################
New queue process started on:
ter ago 27 16:28:11 -03 2019
###########################################

+++++++++++++++++++++++++++++++++++++++++++
PRE-CHECK LOG
Using the UNSUPPORTED SBo git repository for -current
Queue Process: Download, build, and install

jdk:
GPG checks not supported for the SBo-git repository.
Processing jdk 8u221-1
Using original .info file
Using original SlackBuild file
No build options selected.

portmidi:
GPG checks not supported for the SBo-git repository.
Processing portmidi 217-5
Using original .info file
Using original SlackBuild file
No build options selected.

portaudio:
GPG checks not supported for the SBo-git repository.
Processing portaudio v190600_20161030-1
Using original .info file
Using original SlackBuild file
No build options selected.

jack2:
GPG checks not supported for the SBo-git repository.
Processing jack2 1.9.12-1
Using original .info file
Using original SlackBuild file
No build options selected.

libxkbcommon:
GPG checks not supported for the SBo-git repository.
Processing libxkbcommon 0.8.4-1
Using original .info file
Using original SlackBuild file
No build options selected.

qt5:
GPG checks not supported for the SBo-git repository.
Processing qt5 5.9.8-2
Using original .info file
Using original SlackBuild file
No build options selected.

qt5-webkit:
GPG checks not supported for the SBo-git repository.
Processing qt5-webkit 5.9.1-1
Using original .info file
Using original SlackBuild file
No build options selected.

MuseScore:
GPG checks not supported for the SBo-git repository.
Processing MuseScore 3.2-1
Using original .info file
Using original SlackBuild file
No build options selected.

+++++++++++++++++++++++++++++++++++++++++++

Pre-check complete.

Do you wish to proceed based on the search results above? Packages not
found will be skipped during the process.

(P)roceed or (Q)uit?:


EDIT:

Me parece que o Sr. está usando uma versão antyerior do QT, a 5.7.1, enquanto eu estou usando a corrente:

$ ls /usr/lib64/libQt5Core.
libQt5Core.la libQt5Core.so@ libQt5Core.so.5.9@
libQt5Core.prl libQt5Core.so.5@ libQt5Core.so.5.9.8*



ótimo. irei instalar o sbopkg e seguir o procedimento. Posto aqui o resultado depois


5. Re: Tentando instalar o MuseScore (qualquer versão) no SlackWare Current

lindberg
lindbergluiz

(usa Slackware)

Enviado em 31/08/2019 - 23:57h

edps escreveu:

Está com todas as deps instaladas? é Slackware Current mesmo? as deps são essas pro -current ( 7 ao todo, fora o programa):

$ sudo sqg -p MuseScore
Processing MuseScore.
Done.

$ sudo sbopkg -i MuseScore
Both a queuefile and a package were found with the name "MuseScore".

Use (Q)ueuefile, (P)ackage, or (A)bort?: q

###########################################
New queue process started on:
ter ago 27 16:28:11 -03 2019
###########################################

+++++++++++++++++++++++++++++++++++++++++++
PRE-CHECK LOG
Using the UNSUPPORTED SBo git repository for -current
Queue Process: Download, build, and install

jdk:
GPG checks not supported for the SBo-git repository.
Processing jdk 8u221-1
Using original .info file
Using original SlackBuild file
No build options selected.

portmidi:
GPG checks not supported for the SBo-git repository.
Processing portmidi 217-5
Using original .info file
Using original SlackBuild file
No build options selected.

portaudio:
GPG checks not supported for the SBo-git repository.
Processing portaudio v190600_20161030-1
Using original .info file
Using original SlackBuild file
No build options selected.

jack2:
GPG checks not supported for the SBo-git repository.
Processing jack2 1.9.12-1
Using original .info file
Using original SlackBuild file
No build options selected.

libxkbcommon:
GPG checks not supported for the SBo-git repository.
Processing libxkbcommon 0.8.4-1
Using original .info file
Using original SlackBuild file
No build options selected.

qt5:
GPG checks not supported for the SBo-git repository.
Processing qt5 5.9.8-2
Using original .info file
Using original SlackBuild file
No build options selected.

qt5-webkit:
GPG checks not supported for the SBo-git repository.
Processing qt5-webkit 5.9.1-1
Using original .info file
Using original SlackBuild file
No build options selected.

MuseScore:
GPG checks not supported for the SBo-git repository.
Processing MuseScore 3.2-1
Using original .info file
Using original SlackBuild file
No build options selected.

+++++++++++++++++++++++++++++++++++++++++++

Pre-check complete.

Do you wish to proceed based on the search results above? Packages not
found will be skipped during the process.

(P)roceed or (Q)uit?:


EDIT:

Me parece que o Sr. está usando uma versão antyerior do QT, a 5.7.1, enquanto eu estou usando a corrente:

$ ls /usr/lib64/libQt5Core.
libQt5Core.la libQt5Core.so@ libQt5Core.so.5.9@
libQt5Core.prl libQt5Core.so.5@ libQt5Core.so.5.9.8*



1. Slack-current, com certeza
2. não tinha o sbopkg instalado ainda. Intalei agora e é uma mão-na-roda
3. instalando as pendèncias e jaja digo alguma coisa


6. Re: Tentando instalar o MuseScore (qualquer versão) no SlackWare Current

lindberg
lindbergluiz

(usa Slackware)

Enviado em 01/09/2019 - 00:29h

lindbergluiz escreveu:

edps escreveu:

Está com todas as deps instaladas? é Slackware Current mesmo? as deps são essas pro -current ( 7 ao todo, fora o programa):

$ sudo sqg -p MuseScore
Processing MuseScore.
Done.

$ sudo sbopkg -i MuseScore
Both a queuefile and a package were found with the name "MuseScore".

Use (Q)ueuefile, (P)ackage, or (A)bort?: q

###########################################
New queue process started on:
ter ago 27 16:28:11 -03 2019
###########################################

+++++++++++++++++++++++++++++++++++++++++++
PRE-CHECK LOG
Using the UNSUPPORTED SBo git repository for -current
Queue Process: Download, build, and install

jdk:
GPG checks not supported for the SBo-git repository.
Processing jdk 8u221-1
Using original .info file
Using original SlackBuild file
No build options selected.

portmidi:
GPG checks not supported for the SBo-git repository.
Processing portmidi 217-5
Using original .info file
Using original SlackBuild file
No build options selected.

portaudio:
GPG checks not supported for the SBo-git repository.
Processing portaudio v190600_20161030-1
Using original .info file
Using original SlackBuild file
No build options selected.

jack2:
GPG checks not supported for the SBo-git repository.
Processing jack2 1.9.12-1
Using original .info file
Using original SlackBuild file
No build options selected.

libxkbcommon:
GPG checks not supported for the SBo-git repository.
Processing libxkbcommon 0.8.4-1
Using original .info file
Using original SlackBuild file
No build options selected.

qt5:
GPG checks not supported for the SBo-git repository.
Processing qt5 5.9.8-2
Using original .info file
Using original SlackBuild file
No build options selected.

qt5-webkit:
GPG checks not supported for the SBo-git repository.
Processing qt5-webkit 5.9.1-1
Using original .info file
Using original SlackBuild file
No build options selected.

MuseScore:
GPG checks not supported for the SBo-git repository.
Processing MuseScore 3.2-1
Using original .info file
Using original SlackBuild file
No build options selected.

+++++++++++++++++++++++++++++++++++++++++++

Pre-check complete.

Do you wish to proceed based on the search results above? Packages not
found will be skipped during the process.

(P)roceed or (Q)uit?:


EDIT:

Me parece que o Sr. está usando uma versão antyerior do QT, a 5.7.1, enquanto eu estou usando a corrente:

$ ls /usr/lib64/libQt5Core.
libQt5Core.la libQt5Core.so@ libQt5Core.so.5.9@
libQt5Core.prl libQt5Core.so.5@ libQt5Core.so.5.9.8*



ótimo. irei instalar o sbopkg e seguir o procedimento. Posto aqui o resultado depois


erro ao compilar o qt5.............


7. Re: Tentando instalar o MuseScore (qualquer versão) no SlackWare Current

lindberg
lindbergluiz

(usa Slackware)

Enviado em 01/09/2019 - 02:42h

lindbergluiz escreveu:

lindbergluiz escreveu:

edps escreveu:

Está com todas as deps instaladas? é Slackware Current mesmo? as deps são essas pro -current ( 7 ao todo, fora o programa):

$ sudo sqg -p MuseScore
Processing MuseScore.
Done.

$ sudo sbopkg -i MuseScore
Both a queuefile and a package were found with the name "MuseScore".

Use (Q)ueuefile, (P)ackage, or (A)bort?: q

###########################################
New queue process started on:
ter ago 27 16:28:11 -03 2019
###########################################

+++++++++++++++++++++++++++++++++++++++++++
PRE-CHECK LOG
Using the UNSUPPORTED SBo git repository for -current
Queue Process: Download, build, and install

jdk:
GPG checks not supported for the SBo-git repository.
Processing jdk 8u221-1
Using original .info file
Using original SlackBuild file
No build options selected.

portmidi:
GPG checks not supported for the SBo-git repository.
Processing portmidi 217-5
Using original .info file
Using original SlackBuild file
No build options selected.

portaudio:
GPG checks not supported for the SBo-git repository.
Processing portaudio v190600_20161030-1
Using original .info file
Using original SlackBuild file
No build options selected.

jack2:
GPG checks not supported for the SBo-git repository.
Processing jack2 1.9.12-1
Using original .info file
Using original SlackBuild file
No build options selected.

libxkbcommon:
GPG checks not supported for the SBo-git repository.
Processing libxkbcommon 0.8.4-1
Using original .info file
Using original SlackBuild file
No build options selected.

qt5:
GPG checks not supported for the SBo-git repository.
Processing qt5 5.9.8-2
Using original .info file
Using original SlackBuild file
No build options selected.

qt5-webkit:
GPG checks not supported for the SBo-git repository.
Processing qt5-webkit 5.9.1-1
Using original .info file
Using original SlackBuild file
No build options selected.

MuseScore:
GPG checks not supported for the SBo-git repository.
Processing MuseScore 3.2-1
Using original .info file
Using original SlackBuild file
No build options selected.

+++++++++++++++++++++++++++++++++++++++++++

Pre-check complete.

Do you wish to proceed based on the search results above? Packages not
found will be skipped during the process.

(P)roceed or (Q)uit?:


EDIT:

Me parece que o Sr. está usando uma versão antyerior do QT, a 5.7.1, enquanto eu estou usando a corrente:

$ ls /usr/lib64/libQt5Core.
libQt5Core.la libQt5Core.so@ libQt5Core.so.5.9@
libQt5Core.prl libQt5Core.so.5@ libQt5Core.so.5.9.8*



ótimo. irei instalar o sbopkg e seguir o procedimento. Posto aqui o resultado depois


erro ao compilar o qt5.............


Depois de instalar algumas várias pendencias com sucesso, e outras sem sucesso... eis o erro que o sbopkg retorna depois de

$ sudo sqg -p MuseScore
$ sudo sbopkg -i MuseScore

Build options:
Mode ................................... release
Optimize release build for size ........ no
Building shared libraries .............. yes
Using C++ standard ..................... C++11
Using ccache ........................... no
Using gold linker ...................... no
Using new DTAGS ........................ yes
Using precompiled headers .............. no
Using LTCG ............................. no
Target compiler supports:
SSE .................................. SSE2 SSE3 SSSE3 SSE4.1 SSE4.2
AVX .................................. AVX AVX2 F16C
AVX512 ............................... F ER CD PF DQ BW VL IFMA VBMI
Build parts ............................ libs tools
Qt modules and options:
Qt Concurrent .......................... yes
Qt D-Bus ............................... yes
Qt D-Bus directly linked to libdbus .... yes
Qt Gui ................................. yes
Qt Network ............................. yes
Qt Sql ................................. yes
Qt Testlib ............................. yes
Qt Widgets ............................. yes
Qt Xml ................................. yes
Support enabled for:
Using pkg-config ....................... yes
QML debugging .......................... yes
udev ................................... yes
Using system zlib ...................... yes
Qt Core:
DoubleConversion ....................... yes
Using system DoubleConversion ........ no
GLib ................................... yes
iconv .................................. no
ICU .................................... yes
Logging backends:
journald ............................. no
syslog ............................... no
slog2 ................................ no
Using system PCRE2 ..................... yes
Qt Network:
getaddrinfo() .......................... yes
getifaddrs() ........................... yes
IPv6 ifname ............................ yes
libproxy ............................... no
OpenSSL ................................ no
Qt directly linked to OpenSSL ........ no
SCTP ................................... no
Use system proxies ..................... yes
Qt Gui:
Accessibility .......................... yes
FreeType ............................... yes
Using system FreeType ................ yes
HarfBuzz ............................... yes
Using system HarfBuzz ................ yes
Fontconfig ............................. yes
Image formats:
GIF .................................. yes
ICO .................................. yes
JPEG ................................. yes
Using system libjpeg ............... yes
PNG .................................. yes
Using system libpng ................ yes
EGL .................................... yes
OpenVG ................................. no
OpenGL:
Desktop OpenGL ....................... yes
OpenGL ES 2.0 ........................ no
OpenGL ES 3.0 ........................ no
OpenGL ES 3.1 ........................ no
Session Management ..................... yes
Features used by QPA backends:
evdev .................................. yes
libinput ............................... yes
INTEGRITY HID .......................... no
mtdev .................................. yes
tslib .................................. no
xkbcommon-evdev ........................ yes
QPA backends:
DirectFB ............................... no
EGLFS .................................. yes
EGLFS details:
EGLFS OpenWFD ........................ no
EGLFS i.Mx6 .......................... no
EGLFS i.Mx6 Wayland .................. no
EGLFS RCAR ........................... no
EGLFS EGLDevice ...................... yes
EGLFS GBM ............................ yes
EGLFS Mali ........................... no
EGLFS Raspberry Pi ................... no
EGL on X11 ........................... yes
LinuxFB ................................ yes
VNC .................................... yes
Mir client ............................. no
X11:
Using system-provided XCB libraries .. yes
EGL on X11 ........................... yes
Xinput2 .............................. yes
XCB XKB .............................. yes
XLib ................................. yes
XCB render ........................... yes
XCB GLX .............................. yes
XCB Xlib ............................. yes
Using system-provided xkbcommon ...... yes
Qt Widgets:
GTK+ ................................... yes
Styles ................................. Fusion Windows
Qt PrintSupport:
CUPS ................................... yes
Qt Sql:
DB2 (IBM) .............................. no
InterBase .............................. no
MySql .................................. yes
OCI (Oracle) ........................... no
ODBC ................................... no
PostgreSQL ............................. no
SQLite2 ................................ no
SQLite ................................. yes
Using system provided SQLite ......... yes
TDS (Sybase) ........................... no
Qt SerialBus:
Socket CAN ............................. yes
Socket CAN FD .......................... yes
QtXmlPatterns:
XML schema support ..................... yes
Qt QML:
QML interpreter ........................ yes
QML network support .................... yes
Qt Quick:
Direct3D 12 ............................ no
AnimatedImage item ..................... yes
Canvas item ............................ yes
Support for Qt Quick Designer .......... yes
Flipable item .......................... yes
GridView item .......................... yes
ListView item .......................... yes
Path support ........................... yes
PathView item .......................... yes
Positioner items ....................... yes
ShaderEffect item ...................... yes
Sprite item ............................ yes
Qt Gamepad:
SDL2 ................................... yes
Qt 3D:
Assimp ................................. yes
System Assimp .......................... no
Output Qt3D Job traces ................. no
Output Qt3D GL traces .................. no
Qt 3D GeometryLoaders:
Autodesk FBX ........................... no
Qt Wayland Client ........................ no
Qt Wayland Compositor .................... no
Qt Bluetooth:
BlueZ .................................. yes
BlueZ Low Energy ....................... yes
Linux Crypto API ....................... yes
Qt Sensors:
sensorfw ............................... no
Qt Quick Controls 2:
Styles ................................. Default Material Universal
Qt Quick Templates 2:
Hover support .......................... yes
Multi-touch support .................... yes
Qt Positioning:
Gypsy GPS Daemon ....................... no
WinRT Geolocation API .................. no
Qt Location:
Geoservice plugins:
OpenStreetMap ........................ yes
HERE ................................. yes
Esri ................................. yes
Mapbox ............................... yes
MapboxGL ............................. no
Itemsoverlay ......................... yes
Qt Multimedia:
ALSA ................................... yes
GStreamer 1.0 .......................... yes
GStreamer 0.10 ......................... no
Video for Linux ........................ yes
OpenAL ................................. no
PulseAudio ............................. yes
Resource Policy (libresourceqt5) ....... no
Windows Audio Services ................. no
DirectShow ............................. no
Windows Media Foundation ............... no
Qt WebEngine:
Embedded build ......................... no
Pepper Plugins ......................... yes
Printing and PDF ....................... yes
Proprietary Codecs ..................... no
Spellchecker ........................... yes
WebRTC ................................. yes
Using system ninja ..................... yes
ALSA ................................... yes
PulseAudio ............................. yes
System libraries:
re2 .................................. no
ICU .................................. no
libwebp and libwebpdemux ............. yes
Opus ................................. yes
ffmpeg ............................... no

Note: Also available for Linux: linux-clang linux-icc

Note: -headerdir is not a subdirectory of -prefix.
Note: -libdir is not a subdirectory of -prefix.
Note: -docdir is not a subdirectory of -prefix.

Note: Dropped compiler flags '-pthread' when detecting library 'glib'.

Note: Dropped compiler flags '-pthread' when detecting library 'gtk3'.

Note: No wayland-egl support detected. Cross-toolkit compatibility disabled.

Note: Dropped compiler flags '-pthread' when detecting library 'gstreamer'.

Note: Dropped compiler flags '-pthread' when detecting library 'gstreamer_app'.

ERROR: Feature 'openssl-linked' was enabled, but the pre-condition '!features.securetransport && libs.openssl' failed.

ERROR: Feature 'openssl' was enabled, but the pre-condition '!features.securetransport && (features.openssl-linked || libs.openssl_headers)' failed.

qt5:
Would you like to continue processing the rest of the
queue or would you like to abort? If this failed
package is a dependency of another package in the queue
then it may not make sense to continue.

(Y)es to continue, (N)o to abort, (R)etry the build?:



8. Re: Tentando instalar o MuseScore (qualquer versão) no SlackWare Current

lindberg
lindbergluiz

(usa Slackware)

Enviado em 01/09/2019 - 10:03h

edps escreveu:

Está com todas as deps instaladas? é Slackware Current mesmo? as deps são essas pro -current ( 7 ao todo, fora o programa):

$ sudo sqg -p MuseScore
Processing MuseScore.
Done.

$ sudo sbopkg -i MuseScore
Both a queuefile and a package were found with the name "MuseScore".

Use (Q)ueuefile, (P)ackage, or (A)bort?: q

###########################################
New queue process started on:
ter ago 27 16:28:11 -03 2019
###########################################

+++++++++++++++++++++++++++++++++++++++++++
PRE-CHECK LOG
Using the UNSUPPORTED SBo git repository for -current
Queue Process: Download, build, and install

jdk:
GPG checks not supported for the SBo-git repository.
Processing jdk 8u221-1
Using original .info file
Using original SlackBuild file
No build options selected.

portmidi:
GPG checks not supported for the SBo-git repository.
Processing portmidi 217-5
Using original .info file
Using original SlackBuild file
No build options selected.

portaudio:
GPG checks not supported for the SBo-git repository.
Processing portaudio v190600_20161030-1
Using original .info file
Using original SlackBuild file
No build options selected.

jack2:
GPG checks not supported for the SBo-git repository.
Processing jack2 1.9.12-1
Using original .info file
Using original SlackBuild file
No build options selected.

libxkbcommon:
GPG checks not supported for the SBo-git repository.
Processing libxkbcommon 0.8.4-1
Using original .info file
Using original SlackBuild file
No build options selected.

qt5:
GPG checks not supported for the SBo-git repository.
Processing qt5 5.9.8-2
Using original .info file
Using original SlackBuild file
No build options selected.

qt5-webkit:
GPG checks not supported for the SBo-git repository.
Processing qt5-webkit 5.9.1-1
Using original .info file
Using original SlackBuild file
No build options selected.

MuseScore:
GPG checks not supported for the SBo-git repository.
Processing MuseScore 3.2-1
Using original .info file
Using original SlackBuild file
No build options selected.

+++++++++++++++++++++++++++++++++++++++++++

Pre-check complete.

Do you wish to proceed based on the search results above? Packages not
found will be skipped during the process.

(P)roceed or (Q)uit?:


EDIT:

Me parece que o Sr. está usando uma versão antyerior do QT, a 5.7.1, enquanto eu estou usando a corrente:

$ ls /usr/lib64/libQt5Core.
libQt5Core.la libQt5Core.so@ libQt5Core.so.5.9@
libQt5Core.prl libQt5Core.so.5@ libQt5Core.so.5.9.8*



Pensei em dar uma atualizada no slack pra ver se resolvia alguma pendencia automaticamente (mirror do slackware-current)

# slackpkg update
# slackpkg install-new
# slackpkg upgrade-all

Apos tentar empacotar e instalar o MuseScore novamente, me voltou o mesmo erro durante a instalacao do Qt5

Configure summary:

Build type: linux-g++ (x86_64, CPU features: mmx sse sse2)
Configuration: sse2 sse3 ssse3 sse4_1 sse4_2 avx avx2 avx512f avx512bw avx512cd avx512dq avx512er avx512ifma avx512pf avx512vbmi avx512vl compile_examples enable_new_dtags f16c largefile nostrip shared release c++11 concurrent dbus reduce_exports reduce_relocations stl
Build options:
Mode ................................... release
Optimize release build for size ........ no
Building shared libraries .............. yes
Using C++ standard ..................... C++11
Using ccache ........................... no
Using gold linker ...................... no
Using new DTAGS ........................ yes
Using precompiled headers .............. no
Using LTCG ............................. no
Target compiler supports:
SSE .................................. SSE2 SSE3 SSSE3 SSE4.1 SSE4.2
AVX .................................. AVX AVX2 F16C
AVX512 ............................... F ER CD PF DQ BW VL IFMA VBMI
Build parts ............................ libs tools
Qt modules and options:
Qt Concurrent .......................... yes
Qt D-Bus ............................... yes
Qt D-Bus directly linked to libdbus .... yes
Qt Gui ................................. yes
Qt Network ............................. yes
Qt Sql ................................. yes
Qt Testlib ............................. yes
Qt Widgets ............................. yes
Qt Xml ................................. yes
Support enabled for:
Using pkg-config ....................... yes
QML debugging .......................... yes
udev ................................... yes
Using system zlib ...................... yes
Qt Core:
DoubleConversion ....................... yes
Using system DoubleConversion ........ no
GLib ................................... yes
iconv .................................. no
ICU .................................... yes
Logging backends:
journald ............................. no
syslog ............................... no
slog2 ................................ no
Using system PCRE2 ..................... yes
Qt Network:
getaddrinfo() .......................... yes
getifaddrs() ........................... yes
IPv6 ifname ............................ yes
libproxy ............................... no
OpenSSL ................................ no
Qt directly linked to OpenSSL ........ no
SCTP ................................... no
Use system proxies ..................... yes
Qt Gui:
Accessibility .......................... yes
FreeType ............................... yes
Using system FreeType ................ yes
HarfBuzz ............................... yes
Using system HarfBuzz ................ yes
Fontconfig ............................. yes
Image formats:
GIF .................................. yes
ICO .................................. yes
JPEG ................................. yes
Using system libjpeg ............... yes
PNG .................................. yes
Using system libpng ................ yes
EGL .................................... yes
OpenVG ................................. no
OpenGL:
Desktop OpenGL ....................... yes
OpenGL ES 2.0 ........................ no
OpenGL ES 3.0 ........................ no
OpenGL ES 3.1 ........................ no
Session Management ..................... yes
Features used by QPA backends:
evdev .................................. yes
libinput ............................... yes
INTEGRITY HID .......................... no
mtdev .................................. yes
tslib .................................. no
xkbcommon-evdev ........................ yes
QPA backends:
DirectFB ............................... no
EGLFS .................................. yes
EGLFS details:
EGLFS OpenWFD ........................ no
EGLFS i.Mx6 .......................... no
EGLFS i.Mx6 Wayland .................. no
EGLFS RCAR ........................... no
EGLFS EGLDevice ...................... yes
EGLFS GBM ............................ yes
EGLFS Mali ........................... no
EGLFS Raspberry Pi ................... no
EGL on X11 ........................... yes
LinuxFB ................................ yes
VNC .................................... yes
Mir client ............................. no
X11:
Using system-provided XCB libraries .. yes
EGL on X11 ........................... yes
Xinput2 .............................. yes
XCB XKB .............................. yes
XLib ................................. yes
XCB render ........................... yes
XCB GLX .............................. yes
XCB Xlib ............................. yes
Using system-provided xkbcommon ...... yes
Qt Widgets:
GTK+ ................................... yes
Styles ................................. Fusion Windows
Qt PrintSupport:
CUPS ................................... yes
Qt Sql:
DB2 (IBM) .............................. no
InterBase .............................. no
MySql .................................. yes
OCI (Oracle) ........................... no
ODBC ................................... no
PostgreSQL ............................. no
SQLite2 ................................ no
SQLite ................................. yes
Using system provided SQLite ......... yes
TDS (Sybase) ........................... no
Qt SerialBus:
Socket CAN ............................. yes
Socket CAN FD .......................... yes
QtXmlPatterns:
XML schema support ..................... yes
Qt QML:
QML interpreter ........................ yes
QML network support .................... yes
Qt Quick:
Direct3D 12 ............................ no
AnimatedImage item ..................... yes
Canvas item ............................ yes
Support for Qt Quick Designer .......... yes
Flipable item .......................... yes
GridView item .......................... yes
ListView item .......................... yes
Path support ........................... yes
PathView item .......................... yes
Positioner items ....................... yes
ShaderEffect item ...................... yes
Sprite item ............................ yes
Qt Gamepad:
SDL2 ................................... yes
Qt 3D:
Assimp ................................. yes
System Assimp .......................... no
Output Qt3D Job traces ................. no
Output Qt3D GL traces .................. no
Qt 3D GeometryLoaders:
Autodesk FBX ........................... no
Qt Wayland Client ........................ no
Qt Wayland Compositor .................... no
Qt Bluetooth:
BlueZ .................................. yes
BlueZ Low Energy ....................... yes
Linux Crypto API ....................... yes
Qt Sensors:
sensorfw ............................... no
Qt Quick Controls 2:
Styles ................................. Default Material Universal
Qt Quick Templates 2:
Hover support .......................... yes
Multi-touch support .................... yes
Qt Positioning:
Gypsy GPS Daemon ....................... no
WinRT Geolocation API .................. no
Qt Location:
Geoservice plugins:
OpenStreetMap ........................ yes
HERE ................................. yes
Esri ................................. yes
Mapbox ............................... yes
MapboxGL ............................. no
Itemsoverlay ......................... yes
Qt Multimedia:
ALSA ................................... yes
GStreamer 1.0 .......................... yes
GStreamer 0.10 ......................... no
Video for Linux ........................ yes
OpenAL ................................. no
PulseAudio ............................. yes
Resource Policy (libresourceqt5) ....... no
Windows Audio Services ................. no
DirectShow ............................. no
Windows Media Foundation ............... no
Qt WebEngine:
Embedded build ......................... no
Pepper Plugins ......................... yes
Printing and PDF ....................... yes
Proprietary Codecs ..................... no
Spellchecker ........................... yes
WebRTC ................................. yes
Using system ninja ..................... yes
ALSA ................................... yes
PulseAudio ............................. yes
System libraries:
re2 .................................. no
ICU .................................. no
libwebp and libwebpdemux ............. yes
Opus ................................. yes
ffmpeg ............................... no

Note: Also available for Linux: linux-clang linux-icc

Note: -headerdir is not a subdirectory of -prefix.
Note: -libdir is not a subdirectory of -prefix.
Note: -docdir is not a subdirectory of -prefix.

Note: Dropped compiler flags '-pthread' when detecting library 'glib'.

Note: Dropped compiler flags '-pthread' when detecting library 'gtk3'.

Note: No wayland-egl support detected. Cross-toolkit compatibility disabled.

Note: Dropped compiler flags '-pthread' when detecting library 'gstreamer'.

Note: Dropped compiler flags '-pthread' when detecting library 'gstreamer_app'.

ERROR: Feature 'openssl-linked' was enabled, but the pre-condition '!features.securetransport && libs.openssl' failed.

ERROR: Feature 'openssl' was enabled, but the pre-condition '!features.securetransport && (features.openssl-linked || libs.openssl_headers)' failed.

qt5:
Would you like to continue processing the rest of the
queue or would you like to abort? If this failed
package is a dependency of another package in the queue
then it may not make sense to continue.




9. Re: Tentando instalar o MuseScore (qualquer versão) no SlackWare Current

lindberg
lindbergluiz

(usa Slackware)

Enviado em 01/09/2019 - 10:10h

Erro durante a instalação do qt5-webkit:

make[2]: *** [Makefile.JavaScriptCore.Target:4805: .obj/API/JSStringRef.o] Error 1
make[2]: Leaving directory '/tmp/SBo/qtwebkit-opensource-src-5.9.0/Source/JavaScriptCore'
make[1]: *** [Makefile.JavaScriptCore:98: sub-Target-pri-make_first-ordered] Error 2
make[1]: Leaving directory '/tmp/SBo/qtwebkit-opensource-src-5.9.0/Source/JavaScriptCore'
make: *** [Makefile:92: sub-Source-JavaScriptCore-JavaScriptCore-pro-make_first-ordered] Error 2



10. Re: Tentando instalar o MuseScore (qualquer versão) no SlackWare Current

edps
edps

(usa Slackware)

Enviado em 01/09/2019 - 13:57h


Como única dependência, ( o JDK ) porque a Oracle agora phudeu tudo mesmo e exige cadastro para baixar o sources do JDK, seguem links pra pré-compilados que você precisa:



jdk:
portmidi: https://slackonly.com/pub/packages/current-x86_64/audio/portmidi/portmidi-217-x86_64-7_slonly.txz

portaudio: https://slackonly.com/pub/packages/current-x86_64/development/portaudio/portaudio-v19_20140130-x86_6...

jack2: https://slackonly.com/pub/packages/current-x86_64/audio/jack2/jack2-1.9.10-x86_64-3_slonly.txz

libxkbcommon: https://slackonly.com/pub/packages/current-x86_64/libraries/libxkbcommon/libxkbcommon-0.7.1-x86_64-1...

qt5: https://slackonly.com/pub/packages/current-x86_64/libraries/qt5/qt5-5.7.1-x86_64-6_slonly.txz

qt5-webkit: https://slackonly.com/pub/packages/current-x86_64/libraries/qt5-webkit/qt5-webkit-5.7.1-x86_64-3_slo...

MuseScore: https://slackonly.com/pub/packages/current-x86_64/multimedia/MuseScore/MuseScore-2.0.3-x86_64-3_slon...



Estão desatualizados se comparados às versões que utilizo, mas são o que há de disponível, baixe tudo e rode um:

# upgradepkg --reinstall --install-new *.t?z 


Aprenda a usar a extensão e como isso vocẽ facilmente poderia instalar o MuseScore com um simples:

# slackpkg install MuseScore 


https://edpsblog.wordpress.com/2015/04/09/how-to-adicionando-recursos-ao-slackpkg-com-slackpkg/

Boa sorte, não tenho como lhe ajudar mais.


11. Re: Tentando instalar o MuseScore (qualquer versão) no SlackWare Current

lindberg
lindbergluiz

(usa Slackware)

Enviado em 01/09/2019 - 16:45h

edps escreveu:


Como única dependência, ( o JDK ) porque a Oracle agora phudeu tudo mesmo e exige cadastro para baixar o sources do JDK, seguem links pra pré-compilados que você precisa:



jdk:
portmidi: https://slackonly.com/pub/packages/current-x86_64/audio/portmidi/portmidi-217-x86_64-7_slonly.txz

portaudio: https://slackonly.com/pub/packages/current-x86_64/development/portaudio/portaudio-v19_20140130-x86_6...

jack2: https://slackonly.com/pub/packages/current-x86_64/audio/jack2/jack2-1.9.10-x86_64-3_slonly.txz

libxkbcommon: https://slackonly.com/pub/packages/current-x86_64/libraries/libxkbcommon/libxkbcommon-0.7.1-x86_64-1...

qt5: https://slackonly.com/pub/packages/current-x86_64/libraries/qt5/qt5-5.7.1-x86_64-6_slonly.txz

qt5-webkit: https://slackonly.com/pub/packages/current-x86_64/libraries/qt5-webkit/qt5-webkit-5.7.1-x86_64-3_slo...

MuseScore: https://slackonly.com/pub/packages/current-x86_64/multimedia/MuseScore/MuseScore-2.0.3-x86_64-3_slon...



Estão desatualizados se comparados às versões que utilizo, mas são o que há de disponível, baixe tudo e rode um:

# upgradepkg --reinstall --install-new *.t?z 


Aprenda a usar a extensão e como isso vocẽ facilmente poderia instalar o MuseScore com um simples:

# slackpkg install MuseScore 


https://edpsblog.wordpress.com/2015/04/09/how-to-adicionando-recursos-ao-slackpkg-com-slackpkg/

Boa sorte, não tenho como lhe ajudar mais.


Na realidade, uma ajuda maior que essa, só pegando meu notebook e fazendo..... agradeço edps. Vou lhe sguir no seu blog



12. Re: Tentando instalar o MuseScore (qualquer versão) no SlackWare Current

lindberg
lindbergluiz

(usa Slackware)

Enviado em 02/09/2019 - 00:14h

lindbergluiz escreveu:

edps escreveu:


Como única dependência, ( o JDK ) porque a Oracle agora phudeu tudo mesmo e exige cadastro para baixar o sources do JDK, seguem links pra pré-compilados que você precisa:



jdk:
portmidi: https://slackonly.com/pub/packages/current-x86_64/audio/portmidi/portmidi-217-x86_64-7_slonly.txz

portaudio: https://slackonly.com/pub/packages/current-x86_64/development/portaudio/portaudio-v19_20140130-x86_6...

jack2: https://slackonly.com/pub/packages/current-x86_64/audio/jack2/jack2-1.9.10-x86_64-3_slonly.txz

libxkbcommon: https://slackonly.com/pub/packages/current-x86_64/libraries/libxkbcommon/libxkbcommon-0.7.1-x86_64-1...

qt5: https://slackonly.com/pub/packages/current-x86_64/libraries/qt5/qt5-5.7.1-x86_64-6_slonly.txz

qt5-webkit: https://slackonly.com/pub/packages/current-x86_64/libraries/qt5-webkit/qt5-webkit-5.7.1-x86_64-3_slo...

MuseScore: https://slackonly.com/pub/packages/current-x86_64/multimedia/MuseScore/MuseScore-2.0.3-x86_64-3_slon...



Estão desatualizados se comparados às versões que utilizo, mas são o que há de disponível, baixe tudo e rode um:

# upgradepkg --reinstall --install-new *.t?z 


Aprenda a usar a extensão e como isso vocẽ facilmente poderia instalar o MuseScore com um simples:

# slackpkg install MuseScore 


https://edpsblog.wordpress.com/2015/04/09/how-to-adicionando-recursos-ao-slackpkg-com-slackpkg/

Boa sorte, não tenho como lhe ajudar mais.


Na realidade, uma ajuda maior que essa, só pegando meu notebook e fazendo..... agradeço edps. Vou lhe sguir no seu blog


atualizando os procedimentos:

depois que comecei a baixar os pacotes, lembrei que já havia realizado este procedimento. Ele dá problema justamente nos libs.



01 02